#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/07/22
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   enter point
"""
from auto_commit.utils.colors import bcolors
from regex import P
from auto_commit.auto_commit import AutoCommit
from auto_commit.options import parse_args

if __name__=='__main__':
    args = parse_args()
    try:
        if args['path'] is not None:
            auto_commit = AutoCommit(params=args)
            auto_commit.run()
    except:
        print(f"{bcolors.FAIL}Please input path {bcolors.ENDC}")

